/*
        .__            __   
   ____ |  |__ _____ _/  |_ 
 _/ ___\|  |  \\__  \\   __\
 \  \___|   Y  \/ __ \|  |  
  \___  >___|  (____  /__|  
      \/     \/     \/  

	fusionbot_chat.h
================================================================
Should you decide to release a modified version of FUSION, you MUST
include the following text in the documentation and source of your 
modification.

---===[BEGIN TEXT]===---
================================================================
___________           .__                __________        __   
\_   _____/_ __  _____|__| ____   ____   \______   \ _____/  |_ 
 |    __)|  |  \/  ___/  |/  _ \ /    \   |    |  _//  _ \   __\
 |     \ |  |  /\___ \|  (  <_> )   |  \  |    |   (  <_> )  |  
 \___  / |____//____  >__|\____/|___|  /  |______  /\____/|__|  
     \/             \/               \/          \/  Version 2.0          
================================================================ 
Fusion v2.0
Copyright (c) 1998-2003 Trenton Shaffer.
All rights reserved.

ACEBOT Copyright(c) 1998, Steve Yeager.
EraserBot Copyright(c) 1998, Ryan Feltrin.
QFusion is Copyright (C) 2002-2003 Victor Luchits.
All other files are Copyright(C) 1997-2001 Id Software, Inc.
================================================================
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
================================================================
---===[END TEXT]===---
*/
#ifndef __FUSIONBOT_CHAT_H__
#define __FUSIONBOT_CHAT_H__

void	FUSION_CHAT_Chat	(edict_t *fusionbot, edict_t *object, int speech);
void	FUSION_CHAT_Say	(edict_t *ent, char *what);

#define	DBC_WELCOME 0
#define	DBC_KILLED	1
#define	DBC_INSULT	2

#endif
