/*
Copyright (C) 2002-2003 Victor Luchits

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

// unknown pragmas are SUPPOSED to be ignored, but....
#pragma warning(disable : 4244)     // MIPS
#pragma warning(disable : 4136)     // X86
#pragma warning(disable : 4051)     // ALPHA

#pragma warning(disable : 4018)     // signed/unsigned mismatch
#pragma warning(disable : 4305)		// truncation from const double to float

#define HAS___INLINE

#define HAS__SNPRINTF

#define HAS__VSNPRINTF

#define HAS__STRICMP

#ifdef LCC_WIN32
# ifndef C_ONLY
#  define C_ONLY
# endif
# define HAS_TCHAR
# define HAS_MMSYSTEM
# define HAS_DLLMAIN
#else
# define HAS_WSIPX
#endif

#define VID_INITFIRST

#define GL_DRIVERNAME	"opengl32.dll"

#ifdef NDEBUG
# define BUILDSTRING "Win32 RELEASE"
#else
# define BUILDSTRING "Win32 DEBUG"
#endif

#ifdef _M_IX86
# define CPUSTRING	"x86"
#elif defined _M_ALPHA
# define CPUSTRING	"AXP"
#endif

